org.apache.hadoop.hdfs.server.blockmanagement

## Enum NumberReplicas.StoredReplicaState

- java.lang.Object
- - java.lang.Enum<NumberReplicas.StoredReplicaState>
  - - org.apache.hadoop.hdfs.server.blockmanagement.NumberReplicas.StoredReplicaState

- All Implemented Interfaces:
    Serializable, Comparable<NumberReplicas.StoredReplicaState>
  Enclosing class:
    NumberReplicas

      public static enum NumberReplicas.StoredReplicaState
      extends Enum<NumberReplicas.StoredReplicaState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CORRUPT`
    `DECOMMISSIONED`
    `DECOMMISSIONING`
    `EXCESS`
    `LIVE`
    `MAINTENANCE_FOR_READ`
    `MAINTENANCE_NOT_FOR_READ`
    `READONLY`
    `REDUNDANT`
    `STALESTORAGE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NumberReplicas.StoredReplicaState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NumberReplicas.StoredReplicaState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LIVE

          public static final NumberReplicas.StoredReplicaState LIVE

    - #### READONLY

          public static final NumberReplicas.StoredReplicaState READONLY

    - #### DECOMMISSIONING

          public static final NumberReplicas.StoredReplicaState DECOMMISSIONING

    - #### DECOMMISSIONED

          public static final NumberReplicas.StoredReplicaState DECOMMISSIONED

    - #### MAINTENANCE_NOT_FOR_READ

          public static final NumberReplicas.StoredReplicaState MAINTENANCE_NOT_FOR_READ

    - #### MAINTENANCE_FOR_READ

          public static final NumberReplicas.StoredReplicaState MAINTENANCE_FOR_READ

    - #### CORRUPT

          public static final NumberReplicas.StoredReplicaState CORRUPT

    - #### EXCESS

          public static final NumberReplicas.StoredReplicaState EXCESS

    - #### STALESTORAGE

          public static final NumberReplicas.StoredReplicaState STALESTORAGE

    - #### REDUNDANT

          public static final NumberReplicas.StoredReplicaState REDUNDANT

  - ### Method Detail

    - #### values

          public static NumberReplicas.StoredReplicaState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NumberReplicas.StoredReplicaState c : NumberReplicas.StoredReplicaState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NumberReplicas.StoredReplicaState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.